public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int broj = in.nextInt();
        int broj1 = in.nextInt();
        
        int resenje = 0;
        int r = 1;
        while (broj > 0 && broj1 > 0) {
            resenje = resenje + Math.max(broj % 10, broj1 % 10) * r;
            broj /= 10;
            broj1 /= 10;
            r *= 10;
        }
        resenje = resenje + broj * r + broj1 * r;
        System.out.println(resenje);
    }